KPL/FK

M2020 Site JEZ (actual, 2021-03-03 solution) Topocentric Frame Definition Kernel
===============================================================================

     Created by Boris Semenov, NAIF/JPL, Wed Mar 10 07:41:39 PST 2021


Frames in this File
--------------------------------------------------------

     This frames kernel defines the topocentric frame at the M2020
     landing site JEZ (actual, 2021-03-03 solution):

        frame name .......... M2020_TOPO
        frame ID ............ -168900
        frame type........... FIXED
        relative to frame ... IAU_MARS

     This diagram shows the frame hierarchy:

                "J2000" INERTIAL
              --------------------
                       |
                       | <--pck
                       V
                   "IAU_MARS"
               BODY-FIXED ROTATING
              --------------------
                       |
                       |  <--fixed
                       V
                  "M2020_TOPO"
              --------------------


M2020 Topocentric Frame Definition
-------------------------------------------------------------------------------

     This frame defines the z axis as the normal outward at the landing
     site, the x axis points at local north with the y axis completing
     the right handed frame (points at local west.)

     Orientation of the frame is given relative to the body fixed rotating
     frame 'IAU_MARS' (x - along the line of zero longitude intersecting
     the equator, z - along the spin axis, y - completing the right hand
     coordinate frame.)

     The transformation from 'M2020_TOPO' frame to 'IAU_MARS'
     frame is a 3-2-3 rotation with defined angles as the negative of
     the site longitude, the negative of the site colatitude, 180 degrees.

     The landing site Gaussian longitude and latitude upon which the
     definition is built are:

        Lon = 77.45088572 degrees East
        Lat =  18.64875816 degrees North

     The coordinates specified above are given with respect to the
     'IAU_MARS' instance defined by the rotation/shape model from the
     the PCK file 'pck00010.tpc'.

     These keywords implement the frame definition.

        \begindata

         FRAME_M2020_TOPO             = -168900
	 FRAME_-168900_NAME           = 'M2020_TOPO'
	 FRAME_-168900_CLASS          =  4
	 FRAME_-168900_CLASS_ID       =  -168900
	 FRAME_-168900_CENTER         =  -168900

	 TKFRAME_-168900_RELATIVE     = 'IAU_MARS'
	 TKFRAME_-168900_SPEC         = 'ANGLES'
	 TKFRAME_-168900_UNITS        = 'DEGREES'
	 TKFRAME_-168900_AXES         = ( 3, 2, 3 )
	 TKFRAME_-168900_ANGLES       = ( -77.45088572, -71.35124184, 180.000  )

        \begintext


Landing Site Name to NAIF ID Mapping
--------------------------------------------------------

     This section contains keywords that map the lander and landing site
     names their NAIF IDs:

        \begindata

            NAIF_BODY_NAME += ( 'M2020' )
            NAIF_BODY_CODE += ( -168 )

            NAIF_BODY_NAME += ( 'M2020_LANDING_SITE' )
            NAIF_BODY_CODE += ( -168900 )

        \begintext


Contacts
--------------------------------------------------------

     If you have any questions regarding this data contact

        Boris V. Semenov, NAIF/JPL,
        (818)-354-8136,
        Boris.Semenov@jpl.nasa.gov

